# CLI

The DBNL CLI is installed as part of the [Python SDK](/v0.26.x/reference/python-sdk.md) and allows for interacting with the platform from the command line. It is primarily for logging into out out of a DBNL Deployment or administering a local [Sandbox Deployment](/v0.26.x/platform/deployment/sandbox.md).

## Installation

To install the latest CLI alongside the [Python SDK](/v0.26.x/reference/python-sdk.md), run:

```shell
pip install --upgrade dbnl
```

## CLI Usage:

```shell
$ dbnl --help
Usage: dbnl [OPTIONS] COMMAND [ARGS]...

  The dbnl CLI.

Options:
  --version  Show the version and exit.
  --help     Show this message and exit.

Commands:
  info     Info about SDK and API.
  login    Login to dbnl.
  logout   Logout of dbnl.
  sandbox  Subcommand to interact with the sandbox.
```

### Login Usage

It is also possible to login using the UI or the [Python SDK](/v0.26.x/reference/python-sdk.md#login).

```sh
$ dbnl login --help
Usage: dbnl login [OPTIONS] API_TOKEN

  Login to dbnl.

Options:
  --api-url TEXT       API url
  --app-url TEXT       App url
  --namespace-id TEXT  Namespace id
  --help               Show this message and exit.
```

### Sandbox Usage

For more details see the [Sandbox Deployment docs](/v0.26.x/platform/deployment/sandbox.md).

```sh
dbnl sandbox --help
Usage: dbnl sandbox [OPTIONS] COMMAND [ARGS]...

  Subcommand to interact with the sandbox.

Options:
  --help  Show this message and exit.

Commands:
  delete  Delete sandbox data.
  exec    Exec a command on the sandbox.
  logs    Tail the sandbox logs.
  start   Start the sandbox.
  status  Get sandbox status.
  stop    Stop the sandbox.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.26.x/reference/cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
